{% extends 'base.html.twig' %}

{% block title %}Location index{% endblock %}

{% block body %}
    <h1>Location index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Country</th>
                <th>Name</th>
                <th>Latitude</th>
                <th>Longitude</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for location in locations %}
            <tr>
                <td>{{ location.id }}</td>
                <td>{{ location.country }}</td>
                <td>{{ location.name }}</td>
                <td>{{ location.latitude }}</td>
                <td>{{ location.longitude }}</td>
                <td>
                    <a href="{{ path('location_show', {'id': location.id}) }}">show</a>
                    <a href="{{ path('location_edit', {'id': location.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
        {% for message in app.flashes('success') %}
        <div class='alert alert-success'>
        {{message}}
        </div>
        {% endfor %}

        {% for message in app.flashes('danger') %}
        <div class='alert alert-danger'>
        {{message}}
        </div>
        {% endfor %}
    {% if is_granted("ROLE_NEW_CITY") %}
    <a href="{{ path('location_new') }}">Create new</a>
    {% endif %}
{% endblock %}
